Package org.eclipse.wst.xsl.core.internal.model

## org.eclipse.wst.xsl.core.internal.model
Class XSLModelObjectFactory

    public class XSLModelObjectFactory
    extends java.lang.Object

## Constructor Summary

`XSLModelObjectFactory(org.w3c.dom.Element element , org.eclipse.wst.xsl.core.model.XSLElement xslEl , org.eclipse.wst.xsl.core.internal.model.StylesheetParserData data)`

## Method Summary

`public org.eclipse.wst.xsl.core.model.XSLElement` | `createXSLModelObject()` Creates an XSL Model Object of the appropriate type.

## Constructor Detail

## XSLModelObjectFactory

`public XSLModelObjectFactory(org.w3c.dom.Element element , org.eclipse.wst.xsl.core.model.XSLElement xslEl , org.eclipse.wst.xsl.core.internal.model.StylesheetParserData data)`

## Methods Detail

## createXSLModelObject

`public org.eclipse.wst.xsl.core.model.XSLElement createXSLModelObject()`

Creates an XSL Model Object of the appropriate type.

### Returns

`org.eclipse.wst.xsl.core.model.XSLElement`